!JlyDNoJGELxCfReXhe:matrix.org

Dev-help

9 Members
Aragon development troubleshooting and help-related discussions1 Servers

Load older messages


Timestamp Message
14 Dec 2018
08:09:47@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> just checked. its not the MiniMe token itself so thats good.
08:45:40@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> @gabi so it seems dao.newAppInstance is working but it fails at .initializing on both the token manager and voting app. .initialize on the counter is unaffected
08:47:34@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> ok so i may be remembering wrong, but has the token manager been redone recently? im pretty sure this isnt the same version i was looking at a few days back
08:56:07@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> this may be a dumb question but on line 38
08:56:10@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> fac = KitBase(latestVersionAppBase(bareKit)).fac();
08:57:26@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> the function KitBase is calling itself right? as in its calling the function its apart of... doesnt this function expect two arguments?
08:58:21@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> and is that ) in the wrong place?
09:11:17@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> nevermind, i get it, its returning base
09:15:48@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> ok no im still not getting it. base appears to be returning 3 things and i dont get this (.base,) thing .getLatest is being set to either
09:27:40@bridge-bot:matrix.orgbridge-bot[rocketchat] <danielconstantin> @christopher.dixon https://solidity.readthedocs.io/en/v0.4.21/control-structures.html#destructuring-assignments-and-returning-multiple-values You're right, it's returning the getLatest().base
09:28:17@bridge-bot:matrix.orgbridge-bot[rocketchat] <danielconstantin> I think I got it to work with the 5.2.0 version of the cli
09:35:03@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> @danielconstantin that is a useful bit of information lol. thank you
09:35:49@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> i had no idea such a thing could be done in solidity, especially with how ridgid it usually is in types
09:48:58@bridge-bot:matrix.orgbridge-bot[rocketchat] <danielconstantin> @christopher.dixon could you confirm this works: https://github.com/aragon/aragon-react-kit-boilerplate/issues/19#issuecomment-447272449 ?
09:49:44@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> Yea, give me a few here
10:00:53@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> almost done, changing ganache version now.
10:07:18@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> ok, that failed at the same spot but spit out a but load of errors at me
10:07:25@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> @danielconstantin
10:07:29@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> ✖ Returned error: VM Exception while processing transaction: revert npm ERR! Linux 4.15.0-42-generic npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "run" "start:aragon:ipfs" "--" "--kit" "Kit" "--kit-init" "@ARAGON_ENS" npm ERR! node v8.10.0 npm ERR! npm v3.5.2 npm ERR! code ELIFECYCLE npm ERR! app-name@1.0.0 start:aragon:ipfs: `aragon run "--kit" "Kit" "--kit-init" "@ARAGON_ENS"` npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the app-name@1.0.0 start:aragon:ipfs script 'aragon run "--kit" "Kit" "--kit-init" "@ARAGON_ENS"'. npm ERR! Make sure you have the latest version of node.js and npm installed. npm ERR! If you do, this is most likely a problem with the app-name package, npm ERR! not with npm itself. npm ERR! Tell the author that this fails on your system: npm ERR! aragon run "--kit" "Kit" "--kit-init" "@ARAGON_ENS" npm ERR! You can get information on how to open an issue for this project with: npm ERR! npm bugs app-name npm ERR! Or if that isn't available, you can get their info via: npm ERR! npm owner ls app-name npm ERR! There is likely additional logging output above. npm ERR! Please include the following file with any support request: npm ERR! /home/stan36/repos/freshDAO/app/npm-debug.log npm ERR! Linux 4.15.0-42-generic npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "run" "start:aragon:ipfs:kit" npm ERR! node v8.10.0 npm ERR! npm v3.5.2 npm ERR! code ELIFECYCLE npm ERR! app-name@1.0.0 start:aragon:ipfs:kit: `npm run start:aragon:ipfs -- --kit Kit --kit-init @ARAGON_ENS` npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the app-name@1.0.0 start:aragon:ipfs:kit script 'npm run start:aragon:ipfs -- --kit Kit --kit-init @ARAGON_ENS'. npm ERR! Make sure you have the latest version of node.js and npm installed. npm ERR! If you do, this is most likely a problem with the app-name package, npm ERR! not with npm itself. npm ERR! Tell the author that this fails on your system: npm ERR! npm run start:aragon:ipfs -- --kit Kit --kit-init @ARAGON_ENS npm ERR! You can get information on how to open an issue for this project with: npm ERR! npm bugs app-name npm ERR! Or if that isn't available, you can get their info via: npm ERR! npm owner ls app-name npm ERR! There is likely additional logging output above. npm ERR! Please include the following file with any support request: npm ERR! /home/stan36/repos/freshDAO/app/npm-debug.log
10:12:01@bridge-bot:matrix.orgbridge-bot[rocketchat] <danielconstantin> Damn.. can you try `rm -rf ~/.aragon/ganache-db-8545/` to remove the other snapshot (of aragen 2.0.3)
10:15:41@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> yea, hold on
10:18:10@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> that seems to have done it! its paste the point it always fails at anyways....last step always takes a minute
10:18:43@bridge-bot:matrix.orgbridge-bot[rocketchat] <danielconstantin> Awesome <3
10:18:55@bridge-bot:matrix.orgbridge-bot[rocketchat] <danielconstantin> Thanks for all the work on debugging this
10:20:28@bridge-bot:matrix.orgbridge-bot[rocketchat] <christopher.dixon> no problem man, glad i could help! i can go to bed happy now knowing i can finally move forward on what im doing
13:47:09@bridge-bot:matrix.orgbridge-bot[rocketchat] <gabi> [ ](https://aragon.chat/channel/dev-help?msg=6kTE2dHavpAzLchTS) Why `KitBase(latestVersionAppBase(bareKit)).fac()` works correctly. I don't get why KitBase(base) could be use
13:47:23@bridge-bot:matrix.orgbridge-bot[rocketchat] <gabi> [ ](https://aragon.chat/channel/dev-help?msg=6kTE2dHavpAzLchTS) Why `KitBase(latestVersionAppBase(bareKit)).fac()` works correctly. I don't get why `KitBase(base)` could be use
15 Dec 2018
22:10:16@bridge-bot:matrix.orgbridge-bot[rocketchat] <porsh> I'm in the process of installing aragon cli and I'm getting this error `Failed at the go-ipfs@0.4.17 install script` Do you have a custom script for downloading `go-ipfs@0.4.17` and if so, where is it in the code base?
16 Dec 2018
00:50:15@bridge-bot:matrix.orgbridge-bot[rocketchat] <gabi> Hi @porsh go-ipfs is a dependency in package.json (https://github.com/aragon/aragon-cli/blob/master/package.json#L58). You can manually install it `npm install -g go-ipfs` and try again `npm install -g @aragon/cli`
18:29:49@bridge-bot:matrix.orgbridge-bot[rocketchat] <porsh> @gabi Thanks!

There are no newer messages yet.


Back to Room List